@echo off

rem   ANSI    - 932:일어S-JIS, 936:중문간체GBK, 949:한글완성형KS, 950:중문번체Big5
rem   UNICODE - utf8:UTF-8, utf16:UTF-16le, utf16BE:UTF-16be

set src_enc=932
set dest_enc=utf8

CD /D "%~dp0"

set Src0=%~nx1

set Dest0=%Src0%-%dest_enc%

set File=*.txt

If Not Exist "%Src0%" (echo.
echo  [%Src0%] Not Found.
echo.
pause
goto End)



for %%f IN (%Src0%\%File%) DO (
If Not Exist "%Dest0%" mkdir "%Dest0%"
_exe\arc_conv.exe --mod textenc %src_enc% %dest_enc% "%%f" "%Dest0%\%%~nxf"
echo  %%~nxf)



:End
rem pause
